org.codehaus.plexus.personality.plexus.lifecycle.phase

## Class PlexusContainerLocator

- java.lang.Object
- - org.codehaus.plexus.personality.plexus.lifecycle.phase.PlexusContainerLocator

All Implemented Interfaces:
  ServiceLocator

    public class PlexusContainerLocator
    extends java.lang.Object
    implements ServiceLocator

A ServiceLocator for PlexusContainer.

Author:
  Dan Diephouse

### Constructor Summary

Constructors
Constructor and Description
`PlexusContainerLocator(PlexusContainer container)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasComponent(java.lang.String componentKey)`
`boolean` `hasComponent(java.lang.String role, java.lang.String roleHint)`
`java.lang.Object` `lookup(java.lang.String role)`
`java.lang.Object` `lookup(java.lang.String role, java.lang.String roleHint)`
`java.util.List` `lookupList(java.lang.String role)`
`java.util.Map` `lookupMap(java.lang.String role)`
`void` `release(java.lang.Object component)`
`void` `releaseAll(java.util.List components)`
`void` `releaseAll(java.util.Map components)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusContainerLocator

    public PlexusContainerLocator(PlexusContainer container)

### Method Detail

#### lookup

    public java.lang.Object lookup(java.lang.String role)
                            throws ComponentLookupException

Specified by:
  `lookup` in interface `ServiceLocator`
Throws:
  `ComponentLookupException`

#### lookup

    public java.lang.Object lookup(java.lang.String role,
                                   java.lang.String roleHint)
                            throws ComponentLookupException

Specified by:
  `lookup` in interface `ServiceLocator`
Throws:
  `ComponentLookupException`

#### lookupMap

    public java.util.Map lookupMap(java.lang.String role)
                            throws ComponentLookupException

Specified by:
  `lookupMap` in interface `ServiceLocator`
Throws:
  `ComponentLookupException`

#### lookupList

    public java.util.List lookupList(java.lang.String role)
                              throws ComponentLookupException

Specified by:
  `lookupList` in interface `ServiceLocator`
Throws:
  `ComponentLookupException`

#### release

    public void release(java.lang.Object component)
                 throws ComponentLifecycleException

Specified by:
  `release` in interface `ServiceLocator`
Throws:
  `ComponentLifecycleException`

#### releaseAll

    public void releaseAll(java.util.Map components)
                    throws ComponentLifecycleException

Specified by:
  `releaseAll` in interface `ServiceLocator`
Throws:
  `ComponentLifecycleException`

#### releaseAll

    public void releaseAll(java.util.List components)
                    throws ComponentLifecycleException

Specified by:
  `releaseAll` in interface `ServiceLocator`
Throws:
  `ComponentLifecycleException`

#### hasComponent

    public boolean hasComponent(java.lang.String componentKey)

Specified by:
  `hasComponent` in interface `ServiceLocator`

#### hasComponent

    public boolean hasComponent(java.lang.String role,
                                java.lang.String roleHint)

Specified by:
  `hasComponent` in interface `ServiceLocator`